########################
#  display.pl options  #
########################

our %DISPLAY_CONF = (
  root_dir       => "/home/bbearnes/p1k3.com/archives",
  url_root       => "http://p1k3.com/",
  image_url_root => "http://p1k3.com/",
  header         => 'header',
  footer         => 'footer',
  stylesheet_url => 'http://p1k3.com/p1k3.css',
  favicon_url    => 'http://p1k3.com/favicon.png',
  author         => 'Brennen Bearnes',
  description    => '',
  license        => '',
);

##################
#  WALA OPTIONS  #
##################

our %WalaConf = (
  RecentChangesMaxLines => 50, 
  DefaultUserName       => 'Anonymous',
  StyleSheet            => 'http://p1k3.com/wala/wala.css',
  DefaultPageText       => "Write something.\n",
  CookieSurvivalDays    => 90,
  HomePage              => "HomePage",
  TimeZone              => "UTC",
  TitleString           => "p1k3 wala::",
  ScriptName            => "http://p1k3.com/wala/wala.pl",
  CheckSetup            => 0,
  # No trailing slash on RootDir, please.
  RootDir               => "/home/bbearnes/wala",
  FeedURL               => "http://p1k3.com/wala/wala_feed.pl",
  ShowSearchlinks       => 1,
  UseCache              => 1,
  DisplayRootDir        => $DISPLAY_CONF{root_dir},
  DisplayURL            => $DISPLAY_CONF{url_root},
);

$WalaConf{LogFile}  = $WalaConf{RootDir} . '/log';
$WalaConf{PagesDir} = '/home/bbearnes/wala/pages';
$WalaConf{CacheDir} = '/home/bbearnes/wala/cache';
$WalaConf{DiffDir}  = '/home/bbearnes/wala/diffs';
